From be9ea5181e5e3773ec07c46f50f30237931b4148 Mon Sep 17 00:00:00 2001
From: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
Date: Wed, 10 Nov 2010 13:11:12 +0900
Subject: [PATCH 4/4] update cmd_p().

crash> p hoge => failed
p: gdb request failed: p hoge

crash> p per_cpu__hoge => success
PER-CPU DATA TYPE:
  long unsigned int per_cpu__hoge;
PER-CPU ADDRESSES:
  [0]: 10008af0890
     :
     :

When symbol_search() was failed, did not try per_cpu_symbol_search().
Try it for legacy percpu symbol (per_cpu__ prefix can disappear).

Signed-off-by: Toshikazu Nakayama <nakayama.ts@ncos.nec.co.jp>
---
 symbols.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/symbols.c b/symbols.c
index 54dcfcb..73325ed 100755
--- a/symbols.c
+++ b/symbols.c
@@ -5636,7 +5636,10 @@ cmd_p(void)
 		leader = strlen(buf2);
 		if (module_symbol(sp->value, NULL, NULL, NULL, *gdb_output_radix))
 			do_load_module_filter = TRUE;
-	} else if (st->flags & LOAD_MODULE_SYMS)
+	} else if ((percpu_sp = per_cpu_symbol_search(args[optind])) &&
+		   display_per_cpu_info(percpu_sp))
+		return;
+	else if (st->flags & LOAD_MODULE_SYMS)
 		do_load_module_filter = TRUE;
 
 	if (leader || do_load_module_filter)
-- 
1.7.3.2.161.g3089c

